stairsplus:register_all("darkage", "slate", "darkage:slate", {
    description = "Slate",
    tiles = {"darkage_slate.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})
    
stairsplus:register_all("darkage", "slate_tile", "darkage:slate_tile", {
    description = "Slate Tile",
    tiles = {"darkage_slate_tile.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})

stairsplus:register_all("darkage", "adobe", "darkage:adobe", {
    description = "Adobe",
    tiles = {"darkage_adobe.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})

stairsplus:register_all("darkage", "basalt", "darkage:basalt", {
    description = "Basalt",
    tiles = {"darkage_basalt.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})

stairsplus:register_all("darkage", "basalt_cobble", "darkage:basalt_cobble", {
    description = "Basalt Cobble",
    tiles = {"darkage_basalt_cobble.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})

stairsplus:register_all("darkage", "chalk", "darkage:chalk", {
    description = "Chalk Cobble",
    tiles = {"darkage_chalk.png"},
    groups = {cracky=3},
    sounds = default.node_sound_wood_defaults(),
})

stairsplus:register_all("darkage", "cobble_with_plaster", "darkage:cobble_with_plaster", {
    description = "Chalk with Plaster",
    tiles = {"darkage_cobble_with_plaster.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "gneiss", "darkage:gneiss", {
    description = "Gneiss",
    tiles = {"darkage_gneiss.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "gneiss_cobble", "darkage:gneiss_cobble", {
    description = "Gneiss Cobble",
    tiles = {"darkage_gneiss_cobble.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "schist", "darkage:schist", {
    description = "Schist",
    tiles = {"darkage_schist.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "serpentine", "darkage:serpentine", {
    description = "Serpentine",
    tiles = {"darkage_serpentine.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "shale", "darkage:shale", {
    description = "Shale",
    tiles = {"darkage_shale.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "slate_cobble", "darkage:slate_cobble", {
    description = "Slate Cobble",
    tiles = {"darkage_slate_cobble.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "slate_tale", "darkage:slate_tale", {
    description = "Slate Tale",
    tiles = {"darkage_slate_tale.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "stone_brick", "darkage:stone_brick", {
    description = "Stone Brick",
    tiles = {"darkage_stone_brick.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "ors", "darkage:ors", {
    description = "Old Red Sandstone",
    tiles = {"darkage_ors.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "ors_brick", "darkage:ors_brick", {
    description = "Old Red Sandstone Brick",
    tiles = {"darkage_ors_brick.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "chalked_bricks", "darkage:chalked_bricks", {
    description = "Chalked Bricks",
    tiles = {"darkage_chalked_bricks.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

stairsplus:register_all("darkage", "marble", "darkage:marble", {
    description = "Marble",
    tiles = {"darkage_marble.png"},
    groups = {cracky=3},
    sounds = default.node_sound_stone_defaults(),
})

    table.insert(circular_saw.known_stairs, "darkage:slate")
    table.insert(circular_saw.known_stairs, "darkage:slate_tale")
    table.insert(circular_saw.known_stairs, "darkage:adobe")
    table.insert(circular_saw.known_stairs, "darkage:basalt")
    table.insert(circular_saw.known_stairs, "darkage:basalt_cobble")
    table.insert(circular_saw.known_stairs, "darkage:chalk")
    table.insert(circular_saw.known_stairs, "darkage:cobble_with_plaster")
    table.insert(circular_saw.known_stairs, "darkage:gneiss")
    table.insert(circular_saw.known_stairs, "darkage:gneiss_cobble")
    table.insert(circular_saw.known_stairs, "darkage:schist")
    table.insert(circular_saw.known_stairs, "darkage:serpentine")
    table.insert(circular_saw.known_stairs, "darkage:slate")
    table.insert(circular_saw.known_stairs, "darkage:slate_cobble")
    table.insert(circular_saw.known_stairs, "darkage:slate_tale")
    table.insert(circular_saw.known_stairs, "darkage:stone_brick")
    table.insert(circular_saw.known_stairs, "darkage:shale")
    table.insert(circular_saw.known_stairs, "darkage:ors")
    table.insert(circular_saw.known_stairs, "darkage:ors_brick")
    table.insert(circular_saw.known_stairs, "darkage:chalked_bricks")
    table.insert(circular_saw.known_stairs, "darkage:marble")

-- and now for the aliases

local saw_names = {
	{"micro", "_1"},
	{"panel", "_1"},
	{"micro", "_2"},
	{"panel", "_2"},
	{"micro", "_4"},
	{"panel", "_4"},
	{"micro", ""},
	{"panel", ""},

	{"micro", "_12"},
	{"panel", "_12"},
	{"micro", "_14"},
	{"panel", "_14"},
	{"micro", "_15"},
	{"panel", "_15"},
	{"stair", "_outer"},
	{"stair", ""},

	{"stair", "_inner"},
	{"slab", "_1"},
	{"slab", "_2"},
	{"slab", "_quarter"},
	{"slab", ""},
	{"slab", "_three_quarter"},
	{"slab", "_14"},
	{"slab", "_15"},

	{"slab", "_two_sides"},
	{"slab", "_three_sides"},
	{"slab", "_three_sides_u"},
	{"stair", "_half"},
	{"stair", "_alt_1"},
	{"stair", "_alt_2"},
	{"stair", "_alt_4"},
	{"stair", "_alt"},

	{"slope", ""},
	{"slope", "_half"},
	{"slope", "_half_raised"},
	{"slope", "_inner"},
	{"slope", "_inner_half"},
	{"slope", "_inner_half_raised"},
	{"slope", "_inner_cut"},
	{"slope", "_inner_cut_half"},

	{"slope", "_inner_cut_half_raised"},
	{"slope", "_outer"},
	{"slope", "_outer_half"},
	{"slope", "_outer_half_raised"},
	{"slope", "_outer_cut"},
	{"slope", "_outer_cut_half"},
	{"slope", "_outer_cut_half_raised"},
	{"slope", "_cut"},
}

for i = 1, #saw_names do
    local t = saw_names[i]
    minetest.register_alias("slate" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate" .. t[2])
    minetest.register_alias("slate_tale" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate_tale" .. t[2])
    minetest.register_alias("adobe" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "adobe" .. t[2])
    minetest.register_alias("basalt" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "basalt" .. t[2])
    minetest.register_alias("basalt_cobble" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "basalt_cobble" .. t[2])
    minetest.register_alias("chalk" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "chalk" .. t[2])
    minetest.register_alias("cobble_with_plaster" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "cobble_with_plaster" .. t[2])
    minetest.register_alias("gneiss" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "gneiss" .. t[2])
    minetest.register_alias("gneiss_cobble" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "gneiss_cobble" .. t[2])
    minetest.register_alias("schist" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "schist" .. t[2])
    minetest.register_alias("serpentine" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "serpentine" .. t[2])
    minetest.register_alias("shale" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "shale" .. t[2])
    minetest.register_alias("slate_cobble" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate_cobble" .. t[2])
    minetest.register_alias("stone_brick" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "stone_brick" .. t[2])
    minetest.register_alias("ors" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "ors" .. t[2])
    minetest.register_alias("ors_brick" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "ors_brick" .. t[2])
    minetest.register_alias("chalked_bricks" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "chalked_bricks" .. t[2])
    minetest.register_alias("marble" .. ":" .. t[1] .. "_block" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "marble" .. t[2])  
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "ors" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "ors" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "ors_brick" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "ors_brick" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "slate" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "slate_tale" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate_tale" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "adobe" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "adobe" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "basalt" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "basalt" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "basalt_cobble" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "basalt_cobble" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "chalk" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "chalk" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "chalked_bricks" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "chalked_bricks" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "cobble_with_plaster" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "cobble_with_plaster" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "gneiss" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "gneiss" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "gneiss_cobble" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "gneiss_cobble" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "schist" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "schist" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "serpentine" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "serpentine" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "shale" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "shale" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "slate_cobble" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "slate_cobble" .. t[2])
    minetest.register_alias("stairs" .. ":" .. t[1] .. "_" .. "stone_brick" .. t[2], "darkage" .. ":" .. t[1] .. "_" .. "stone_brick" .. t[2])
end
